This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 892247 - Provide --all-in-one parameter to Packstack
Provide --all-in-one parameter to Packstack
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: snapshot4
: 2.1
Assigned To: Martin Magr
Nir Magnezi
: Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 00:19 EST by Perry Myers
Modified: 2013-03-21 14:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: openstack-packstack-2012.2.3-0.1.dev454
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 14:22:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2013-01-06 00:19:22 EST
Description of problem:
Make all-in-one installs easier by providing an --all-in-one flag to the cmdline and answer file that causes packstack to assume all services enabled and ip addresses for everything to be 127.0.0.1

Just a convenience for folks doing lots of PoC setups
Comment 1 Perry Myers 2013-01-07 10:13:15 EST
From an offline email thread:

nmagnezi:
> IMHO, (and following to our discussion in Bug #890841), I think that we
> should use a "real" IP Address instead of 127.0.0.1, Just in case the
> user would like to add some more nodes to his openstack system.
>
> This might be relevant even for PoC setup at some point.
> what do you think?

I think it should be optional but not required...  you might be doing a
PoC setup on a machine w/o a real IP address at all.  Or on one where
eth0 IP address is dynamic and will change from boot to boot.

So --all-in-one should default to 127.0.0.1

but maybe --all-in-one also takes an optional argument like:

--all-in-one=192.168.1.1

to indicate that you want to use a real ip address instead of loopback
Comment 2 Derek Higgins 2013-02-13 12:58:59 EST
New addition submitted upstream

https://review.openstack.org/#/c/21894

This commit adds an option to facilitate people trying to install openstack in
a single step without first generating an answerfile
Users can run the command
$ packstack --install-hosts=192.168.0.22,192.168.0.31

If a singe host is supplied then an all in one setup will be installed, if multiple
hosts are provided, then the first will be a controler and the others will become
nova compute nodes. For all of the other value defaults are used unless supplied in the
command line e.g.
$ packstack --install-hosts=192.168.0.22,192.168.0.31 --novacompute-privif=eth0 \
  --novanetwork-pubif=eth0 --novanetwork-privif=eth0

An answerfile is also generated, this should be used if packstack needs to be run again
Comment 4 Nir Magnezi 2013-03-03 07:43:11 EST
Verified NVR: openstack-packstack-2012.2.3-0.1.dev454.el6ost.noarch

Verified 2 Setups:

1. all-in-one:

packstack --install-hosts=<IP Address> --novacompute-privif=eth0 \
  --novanetwork-pubif=eth0 --novanetwork-privif=eth1

2. 1 Cloud Controller + 1 Compute Node

packstack --install-hosts=1<IP Address #1>,<IP Address #2> --novacompute-privif=eth0 \
  --novanetwork-pubif=eth0 --novanetwork-privif=eth1


Both Worked as expected, proper answers file created.
Comment 7 errata-xmlrpc 2013-03-21 14:22:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0671.html

Note You need to log in before you can comment on or make changes to this bug.